Get Patient Facilities
curl --request GET \
--url https://api.sandbox.metriport.com/medical/v1/patient/{id}/facility \
--header 'x-api-key: <api-key>'import requests
url = "https://api.sandbox.metriport.com/medical/v1/patient/{id}/facility"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sandbox.metriport.com/medical/v1/patient/{id}/facility', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import { MetriportMedicalApi } from "@metriport/api-sdk";
const metriport = new MetriportMedicalApi("YOUR_API_KEY");
const patientId = "018a80c4-292a-7486-a1234-76yuhe23yu14";
const facilities = await metriport.getPatientFacilities(
patientId
);
Patient
Get Patient Facilities
Gets all facilities associated with a patient.
GET
/
medical
/
v1
/
patient
/
{id}
/
facility
Get Patient Facilities
Path Params
string
required
The ID of the patient whose facilities are to be returned.
Response
Facility[]
required
Array of facilities associated with the patient.
Show Facility properties
Show Facility properties
string
required
The ID assigned to this Facility. This ID will be used to uniquely identify this Facility in
medical documents.
string
required
The OID assigned to this Facility.
string
required
The name of your Facility. This is the actual address where a patient will receive care (can be
virtual) - for example
Care Facility, LLC.string
required
The 10 digit National Provider Identifier (NPI) that will be used to make requests on behalf of
the Facility.
Address
required
string
The Taxpayer Identification Number (TIN) of the Facility.
bool
Whether or not this Facility is currently active - this is usually
true.import { MetriportMedicalApi } from "@metriport/api-sdk";
const metriport = new MetriportMedicalApi("YOUR_API_KEY");
const patientId = "018a80c4-292a-7486-a1234-76yuhe23yu14";
const facilities = await metriport.getPatientFacilities(
patientId
);
{
"facilities": [
{
"id": "018a80c4-292a-7486-a1234-9uiu76yhe234",
"eTag": "1",
"oid": "2.16.840.1.113883.3.666.123.4.101",
"name": "Care Facility, LLC",
"npi": "1234567891",
"tin": "12-3456789",
"active": true,
"address": {
"addressLine1": "2261 Market Street",
"addressLine2": "#4818",
"city": "San Francisco",
"state": "CA",
"zip": "94114",
"country": "USA"
}
},
{
"id": "018a80c4-292a-7486-a1234-6hyt345tyu23",
"oid": "2.16.840.1.113883.3.666.123.4.102",
"name": "Care Facility 2, LLC",
"npi": "1789123456",
"tin": "12-6789345",
"active": true,
"address": {
"addressLine1": "451 Care Street",
"addressLine2": "#320",
"city": "Austin",
"state": "TX",
"zip": "78617",
"country": "USA"
}
}
]
}
⌘I

